Show Transaction
curl --request GET \
--url https://api.procuros.io/v2/all-transactions/{procurosTransactionId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.procuros.io/v2/all-transactions/{procurosTransactionId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.procuros.io/v2/all-transactions/{procurosTransactionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"procurosTransactionId": "949b2f25-fd9d-4c58-8899-b4dc277f8cf9",
"type": "ORDER",
"flow": "LIVE",
"status": "SUCCESS",
"createdAt": "2024-01-01T00:00:00+00:00",
"replacesProcurosTransactionId": null,
"replacedByProcurosTransactionId": null,
"isLatestVersion": true,
"content": {
"header": {
"buyer": {
"name": "ACME Co. Ltd.",
"identifiers": [
{
"identifier": "1100001016310",
"domain": "GS1"
}
],
"postalAddress": {
"name": "ACME Co. Ltd.",
"street": "Elroy-Fritsch-Ring 15",
"city": "Berlin",
"countryCode": "DE",
"postalCode": "82643"
},
"contacts": [
{
"firstName": "John",
"lastName": "Doe",
"email": "[email protected]",
"fax": "(818) 463-6124",
"phone": "+1.352.856.0626"
}
]
},
"supplier": {
"name": "Testsupplier",
"identifiers": [
{
"identifier": "1100001016312",
"domain": "GS1"
}
]
},
"shipTo": {
"identifiers": [
{
"identifier": "1100001016313",
"domain": "GS1"
}
]
},
"billTo": {
"identifiers": [
{
"identifier": "1100001016314",
"domain": "GS1"
}
]
},
"orderIdentifier": "PO9383-R45",
"orderDate": "2021-09-30",
"currency": "EUR",
"requestedDeliveryDate": "2021-10-05",
"comments": "Something to comment"
},
"items": [
{
"lineNumber": 1,
"identifiers": [
{
"identifier": "4300348765432",
"domain": "GS1"
},
{
"identifier": "PROD-77-LS",
"domain": "BUYER"
},
{
"identifier": "sp_gr_8",
"domain": "SUPPLIER"
}
],
"isDepositItem": false,
"quantity": 20,
"unitOfMeasure": "EA",
"description": "First product description.",
"unitPrice": 0.15
},
{
"lineNumber": 2,
"identifiers": [
{
"identifier": "4300348765433",
"domain": "GS1"
},
{
"identifier": "PROD-78-LS",
"domain": "BUYER"
},
{
"identifier": "sp_gr_9",
"domain": "SUPPLIER"
}
],
"isDepositItem": false,
"quantity": 19,
"unitOfMeasure": "EA",
"description": "Sparkling Water - Crate (6x0.75l).",
"unitPrice": 1.5
},
{
"lineNumber": 3,
"identifiers": [
{
"identifier": "4300348765434",
"domain": "GS1"
},
{
"identifier": "PFAND-00B-LS",
"domain": "SUPPLIER"
}
],
"isDepositItem": true,
"quantity": 19,
"unitOfMeasure": "EA",
"description": "Deposit 1x crate + 6x bottles.",
"unitPrice": 3.3
}
]
}
}
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>"
}{
"message": "<string>"
}All Transactions
Show Transaction
Show a single transaction.
GET
/
v2
/
all-transactions
/
{procurosTransactionId}
Show Transaction
Was this page helpful?
⌘I